<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepci',

    /*
     * Package.
     */
    'package'   => 'category',

    /*
     * Modules.
     */
    'modules'   => ['course', 
'subcategory'],

    'course'       => [
        'model' => [
            'model'                 => \Litepci\Category\Models\Course::class,
            'table'                 => 'courses',
            'presenter'             => \Litepci\Category\Repositories\Presenter\CoursePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'name',  'type',  'duration',  'price',  'min_seat',  'questions_per_quiz',  'quiz_mode',  'pass_percent',  'credit_hours',  'image',  'description',  'preview',  'coordinator_name',  'coordinator_sign',  'acknowledgement',  'sort',  'status',  'featured',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'category/course',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepci',
            'package'   => 'Category',
            'module'    => 'Course',
        ],

    ],

    'subcategory'       => [
        'model' => [
            'model'                 => \Litepci\Category\Models\Subcategory::class,
            'table'                 => 'subcategories',
            'presenter'             => \Litepci\Category\Repositories\Presenter\SubcategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'type'],
            'translatables'         => [],
            'upload_folder'         => 'category/subcategory',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepci',
            'package'   => 'Category',
            'module'    => 'Subcategory',
        ],

    ],
];
