<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCoursesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: courses
         */
        Schema::create('courses', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->text('name')->nullable();
            $table->enum('type', ['Generic','Custom'])->nullable();
            $table->integer('duration')->nullable();
            $table->integer('price')->nullable();
            $table->integer('min_seat')->nullable();
            $table->integer('questions_per_quiz')->nullable();
            $table->enum('quiz_mode', ['Course','Module','Lesson'])->nullable();
            $table->integer('pass_percent')->nullable();
            $table->integer('credit_hours')->nullable();
            $table->text('image')->nullable();
            $table->text('description')->nullable();
            $table->text('preview')->nullable();
            $table->text('coordinator_name')->nullable();
            $table->text('coordinator_sign')->nullable();
            $table->text('acknowledgement')->nullable();
            $table->integer('sort')->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->enum('featured', ['Yes','No'])->nullable();
            $table->text('slug')->nullable();
            $table->integer('user_id')->nullable();
            $table->text('user_type')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('courses');
    }
}
