<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for course in category package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  course module in category package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Course',
    'names'         => 'Courses',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Courses',
        'sub'   => 'Courses',
        'list'  => 'List of courses',
        'edit'  => 'Edit course',
        'create'    => 'Create new course'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'type'                => ['Generic','Custom'],
            'quiz_mode'           => ['Course','Module','Lesson'],
            'status'              => ['Show','Hide'],
            'featured'            => ['Yes','No'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'name'                       => 'Please enter name',
        'type'                       => 'Please select type',
        'duration'                   => 'Please enter duration',
        'price'                      => 'Please enter price',
        'min_seat'                   => 'Please enter min seat',
        'questions_per_quiz'         => 'Please enter questions per quiz',
        'quiz_mode'                  => 'Please select quiz mode',
        'pass_percent'               => 'Please enter pass percent',
        'credit_hours'               => 'Please enter credit hours',
        'image'                      => 'Please enter image',
        'description'                => 'Please enter description',
        'preview'                    => 'Please enter preview',
        'coordinator_name'           => 'Please enter coordinator name',
        'coordinator_sign'           => 'Please enter coordinator sign',
        'acknowledgement'            => 'Please enter acknowledgement',
        'sort'                       => 'Please enter sort',
        'status'                     => 'Please select status',
        'featured'                   => 'Please select featured',
        'slug'                       => 'Please enter slug',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'name'                       => 'Name',
        'type'                       => 'Type',
        'duration'                   => 'Duration',
        'price'                      => 'Price',
        'min_seat'                   => 'Min seat',
        'questions_per_quiz'         => 'Questions per quiz',
        'quiz_mode'                  => 'Quiz mode',
        'pass_percent'               => 'Pass percent',
        'credit_hours'               => 'Credit hours',
        'image'                      => 'Image',
        'description'                => 'Description',
        'preview'                    => 'Preview',
        'coordinator_name'           => 'Coordinator name',
        'coordinator_sign'           => 'Coordinator sign',
        'acknowledgement'            => 'Acknowledgement',
        'sort'                       => 'Sort',
        'status'                     => 'Status',
        'featured'                   => 'Featured',
        'slug'                       => 'Slug',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company id', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 3, 'checked'],
        'duration'                   => ['name' => 'Duration', 'data-column' => 4, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 5, 'checked'],
        'min_seat'                   => ['name' => 'Min seat', 'data-column' => 6, 'checked'],
        'questions_per_quiz'         => ['name' => 'Questions per quiz', 'data-column' => 7, 'checked'],
        'quiz_mode'                  => ['name' => 'Quiz mode', 'data-column' => 8, 'checked'],
        'pass_percent'               => ['name' => 'Pass percent', 'data-column' => 9, 'checked'],
        'credit_hours'               => ['name' => 'Credit hours', 'data-column' => 10, 'checked'],
        'image'                      => ['name' => 'Image', 'data-column' => 11, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 12, 'checked'],
        'preview'                    => ['name' => 'Preview', 'data-column' => 13, 'checked'],
        'coordinator_name'           => ['name' => 'Coordinator name', 'data-column' => 14, 'checked'],
        'coordinator_sign'           => ['name' => 'Coordinator sign', 'data-column' => 15, 'checked'],
        'acknowledgement'            => ['name' => 'Acknowledgement', 'data-column' => 16, 'checked'],
        'sort'                       => ['name' => 'Sort', 'data-column' => 17, 'checked'],
        'featured'                   => ['name' => 'Featured', 'data-column' => 18, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Courses',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
