<?php

namespace Litepci\Category;

use User;

class Category
{
    /**
     * $course object.
     */
    protected $course;
    /**
     * $subcategory object.
     */
    protected $subcategory;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Category\Interfaces\CourseRepositoryInterface $course,
        \Litepci\Category\Interfaces\SubcategoryRepositoryInterface $subcategory)
    {
        $this->course = $course;
        $this->subcategory = $subcategory;
    }

    /**
     * Returns count of category.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.course.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->course->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\CourseUserCriteria());
        }

        $course = $this->course->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('category::' . $view, compact('course'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.subcategory.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->subcategory->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\SubcategoryUserCriteria());
        }

        $subcategory = $this->subcategory->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('category::' . $view, compact('subcategory'))->render();
    }
}
