<?php

namespace Litepci\Category\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CourseTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Category\Models\Course $course)
    {
        return [
            'id'                => $course->getRouteKey(),
            'key'               => [
                'public'    => $course->getPublicKey(),
                'route'     => $course->getRouteKey(),
            ], 
            'id'                => $course->id,
            'company_id'        => $course->company_id,
            'name'              => $course->name,
            'type'              => $course->type,
            'duration'          => $course->duration,
            'price'             => $course->price,
            'min_seat'          => $course->min_seat,
            'questions_per_quiz' => $course->questions_per_quiz,
            'quiz_mode'         => $course->quiz_mode,
            'pass_percent'      => $course->pass_percent,
            'credit_hours'      => $course->credit_hours,
            'image'             => $course->image,
            'description'       => $course->description,
            'preview'           => $course->preview,
            'coordinator_name'  => $course->coordinator_name,
            'coordinator_sign'  => $course->coordinator_sign,
            'acknowledgement'   => $course->acknowledgement,
            'sort'              => $course->sort,
            'status'            => $course->status,
            'featured'          => $course->featured,
            'slug'              => $course->slug,
            'user_id'           => $course->user_id,
            'user_type'         => $course->user_type,
            'created_at'        => $course->created_at,
            'updated_at'        => $course->updated_at,
            'deleted_at'        => $course->deleted_at,
            'url'               => [
                'public'    => trans_url('category/'.$course->getPublicKey()),
                'user'      => guard_url('category/course/'.$course->getRouteKey()),
            ], 
            'status'            => trans('app.'.$course->status),
            'created_at'        => format_date($course->created_at),
            'updated_at'        => format_date($course->updated_at),
        ];
    }
}