<?php

namespace Litepci\Category\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubcategoryTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Category\Models\Subcategory $subcategory)
    {
        return [
            'id'                => $subcategory->getRouteKey(),
            'key'               => [
                'public'    => $subcategory->getPublicKey(),
                'route'     => $subcategory->getRouteKey(),
            ], 
            'name'              => $subcategory->name,
            'type'              => $subcategory->type,
            'url'               => [
                'public'    => trans_url('category/'.$subcategory->getPublicKey()),
                'user'      => guard_url('category/subcategory/'.$subcategory->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subcategory->status),
            'created_at'        => format_date($subcategory->created_at),
            'updated_at'        => format_date($subcategory->updated_at),
        ];
    }
}